select
  mr.data as data_venda
  , ga.descricao as origem
  , pr.nome as produto
  , mre.qtde as quantidade
  , mr.observacao
from
  movrebanhoestoque mre
  join movrebanho mr on mr.cdmovrebanho = mre.cdmovrebanho
  join grupoanimal ga on ga.cdgrupoanimal = mr.cdgrupoanimal
  join produto pr on pr.cdproduto = mre.cdproduto
where
  mre.cdtipomovrebanho = 6
order by
  mr.data
